x11/xkbevd - The NetBSD Packages Collection

Possible replacement for xev (work in progress)

This command is very raw and is therefore only partially implemented;
we present it here as a rough prototype for developers, not as a
general purpose tool for end users.

The xkbevd event daemon listens for specified XKB events and executes
requested commands if they occur.   The configuration file consists
of a list of event specification/action pairs and/or variable
definitions.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/pkgconf

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfxkbevd-1.1.4.tgz
NetBSD 8.0earmv7hfxkbevd-1.1.4.tgz
NetBSD 8.0earmv7hfxkbevd-1.1.4.tgz
NetBSD 8.0i386xkbevd-1.1.4.tgz
NetBSD 8.0i386xkbevd-1.1.4.tgz
NetBSD 8.0i386xkbevd-1.1.4.tgz
NetBSD 8.0powerpcxkbevd-1.1.4.tgz
NetBSD 8.0powerpcxkbevd-1.1.4.tgz
NetBSD 8.0powerpcxkbevd-1.1.4.tgz
NetBSD 8.0x86_64xkbevd-1.1.4.tgz
NetBSD 8.0x86_64xkbevd-1.1.4.tgz
NetBSD 9.0aarch64xkbevd-1.1.4.tgz
NetBSD 9.0aarch64xkbevd-1.1.4.tgz
NetBSD 9.0aarch64xkbevd-1.1.4.tgz
NetBSD 9.0alphaxkbevd-1.1.4.tgz
NetBSD 9.0alphaxkbevd-1.1.4.tgz
NetBSD 9.0alphaxkbevd-1.1.4.tgz
NetBSD 9.0earmxkbevd-1.1.4.tgz
NetBSD 9.0earmxkbevd-1.1.4.tgz
NetBSD 9.0earmv6hfxkbevd-1.1.4.tgz
NetBSD 9.0earmv6hfxkbevd-1.1.4.tgz
NetBSD 9.0earmv6hfxkbevd-1.1.4.tgz
NetBSD 9.0earmv6hfxkbevd-1.1.4.tgz
NetBSD 9.0earmv7hfxkbevd-1.1.4.tgz
NetBSD 9.0earmv7hfxkbevd-1.1.4.tgz
NetBSD 9.0earmv7hfxkbevd-1.1.4.tgz
NetBSD 9.0earmv7hfxkbevd-1.1.4.tgz
NetBSD 9.0i386xkbevd-1.1.4.tgz
NetBSD 9.0i386xkbevd-1.1.4.tgz
NetBSD 9.0mips64ebxkbevd-1.1.4.tgz
NetBSD 9.0mips64ebxkbevd-1.1.4.tgz
NetBSD 9.0mips64ebxkbevd-1.1.4.tgz
NetBSD 9.0mipselxkbevd-1.1.4.tgz
NetBSD 9.0mipselxkbevd-1.1.4.tgz
NetBSD 9.0powerpcxkbevd-1.1.4.tgz
NetBSD 9.0powerpcxkbevd-1.1.4.tgz
NetBSD 9.0sh3elxkbevd-1.1.4.tgz
NetBSD 9.0sh3elxkbevd-1.1.4.tgz
NetBSD 9.0sparc64xkbevd-1.1.4.tgz
NetBSD 9.0sparc64xkbevd-1.1.4.tgz
NetBSD 9.0sparc64xkbevd-1.1.4.tgz
NetBSD 9.0sparc64xkbevd-1.1.4.tgz
NetBSD 9.0sparcxkbevd-1.1.4.tgz
NetBSD 9.0sparcxkbevd-1.1.4.tgz
NetBSD 9.0sparcxkbevd-1.1.4.tgz
NetBSD 9.0vaxxkbevd-1.1.4.tgz
NetBSD 9.0vaxxkbevd-1.1.4.tgz
NetBSD 9.0x86_64xkbevd-1.1.4.tgz
NetBSD 9.0x86_64xkbevd-1.1.4.tgz
NetBSD 9.0x86_64xkbevd-1.1.4.tgz
NetBSD 9.0x86_64xkbevd-1.1.4.tgz
NetBSD 9.0x86_64xkbevd-1.1.4.tgz
NetBSD 9.0x86_64xkbevd-1.1.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.